Bug Hunting Session
Bug 79526 - wrong print icon on print preview page
Summary: wrong print icon on print preview page
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.beta1
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: difficultyBeginner, easyHack, regression, skillScript, topicCleanup
Depends on:
Blocks: Writer-Toolbar-PrintPreview
  Show dependency treegraph
 
Reported: 2014-06-02 05:35 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-07 13:58 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
The icon in the 2nd toolbar for print is showing as the print preview icon (89.05 KB, image/png)
2014-06-02 05:35 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-06-02 05:35:15 UTC
Created attachment 100266 [details]
The icon in the 2nd toolbar for print is showing as the print preview icon

I noticed that if you click on print preview, the toolbar below it has a print icon in it, and with LibO 4.3 and 4.4, the icon is the print review icon rather than the print icon.
Comment 1 Yousuf Philips (jay) (retired) 2014-06-02 05:35:48 UTC
Tested in Windows 7 and Linux Mint.
Comment 2 retired 2014-06-02 10:15:00 UTC
Confirmed:OSX_10.9.3:4.3b1
-> NEW

nice spotting, Jay!

Also valid for Version: 4.4.0.0.alpha0+
Build ID: ef8293485adbf6554569ca37b8c1bf8cce955842
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-06-02_08:13:55
Comment 3 Michael Meeks 2014-06-02 10:19:27 UTC
Interesting; I guess this is a matter of looking into the ui XML files eg.

sw/uiconfig/swriter/toolbar/previewobjectbar.xml

and looking for the icon-themes/tango/cmd/lc_<foo>.png - where <foo> is the lower-case equivalent of the .uno:Foo - mentioned in the XML file =)

Hopefully it's just a mis-named icon there, or a mistaken entry in links.txt (potentially inherited from another theme wrt. links.txt).
Comment 4 Jorendc 2014-07-29 16:33:34 UTC
I guess this is already fixed by http://cgit.freedesktop.org/libreoffice/core/commit/?id=70599252873c3dbe03e36083ad093aedfdb8b923

Kind regards,
Joren
Comment 5 Yousuf Philips (jay) (retired) 2014-07-30 00:19:40 UTC
jorendc: i see that its been pushed into master in bug 30425 comment 9, but it hasnt been pushed into 4.3. can you make that patch? :D
Comment 6 Jorendc 2014-07-30 18:46:44 UTC
(In reply to comment #5)
> jorendc: i see that its been pushed into master in bug 30425 comment 9, but
> it hasnt been pushed into 4.3. can you make that patch? :D

http://cgit.freedesktop.org/libreoffice/core/commit/?id=995fd28f88a5122d4f649f7710501bcd752cf6b5&h=libreoffice-4-3

:-) done -> RESOLVED FIXED.
Comment 7 Robinson Tryon (qubit) 2015-12-16 00:19:03 UTC Comment hidden (obsolete)